Subject: bug#50041: Add font-lock-doc-markup-face

From: Mattias Engdegård <[email-masked]>
Date: Fri, 13 Aug 2021 23:24:13 +0200

13 aug. 2021 kl. 20.31 skrev Eli Zaretskii <[email-masked]>:

> If the doc string of font-lock-doc-face would explain its usage,
> having a link to it might be sufficient.  But doc string of
> font-lock-doc-face is just this:
> 
>  "Font Lock mode face used to highlight documentation."

All faces have very terse doc strings and I naturally assumed that was the preferred style; it certainly didn't prevent me from understanding it. Anyway, I have amended the doc strings of both font-lock-doc-face and font-lock-doc-markup-face.

> Also, I think "for mark-up elements" is too terse and assumes too much
> of prior knowledge; we should make more clear what that means, or
> provide a couple of examples.

Maybe, but let's not exaggerate; this is standard terminology. Nevertheless, the text has been extended.

> The NEWS entry is now clear enough, but I think the manual
> and the doc string still need some work.

Very well, they have now all been expanded further.